<?xml version="1.0" encoding="utf-8" ?>
<configuration>
  <configSections>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net" requirePermission="false" allowDefinition="Everywhere"/>
  </configSections>
  <log4net>

    <root>
      <level value="ALL" />
      <appender-ref ref="ConsoleAppender" />
      <appender-ref ref="FileAppender" />
    </root>

    <appender name="ConsoleAppender" type="log4net.Appender.ConsoleAppender" >
	  <layout type="log4net.Layout.PatternLayout">
		  <conversionPattern value="%date [%thread] %message%newline" />
	  </layout>
	    <filter type="log4net.Filter.LevelRangeFilter">
		    <param name="LevelMin" value="INFO"/>
		    <param name="LevelMax" value="ERROR"/>
	    </filter>
    </appender>

    <appender name="FileAppender" type="log4net.Appender.RollingFileAppender">
      <file type="log4net.Util.PatternString">
        <conversionPattern value="textsearch_server.log" />
      </file>
      <rollingStyle value="Size" />
      <maxSizeRollBackups value="10" />
      <maximumFileSize value="10MB" />
      <appendToFile value="true" />
      <staticLogFileName value="true" />
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date [%thread] %-5level [%logger{1}] %message%newline" />
      </layout>
      <encoding value="utf-8" />
      <filter type="log4net.Filter.LevelRangeFilter">
	      <param name="LevelMin" value="INFO"/>
	      <param name="LevelMax" value="ERROR"/>
      </filter>
    </appender>

  </log4net>
</configuration>

